### File

`packages/ecl/components/ecl-site-header/services/ecl-area-data.service.ts`

### Description

This class is used for methods, that serve for communication between the components in ecl-side-header.

### Index

###### Properties
Public dataSubject$
###### Methods
publishEvent

### Constructor

`constructor()`

### Methods

publishEvent
`publishEvent(event: EclAreaChangeEvent)`
When header is resized, some of it's chidren parameters for positioning on the screen need to be recalculated. This event publishes the new site header position, so that the chidren can adjust their position accordingly. Parameters :
Name | Type | Optional
event | `EclAreaChangeEvent` | No
Returns : `void`

### Properties

Public dataSubject$
Type : `Observable<EclAreaChangeEvent>`

# results matching ""

# No results matching ""